# easydoc

A module to autogenerate HTML documentation from docstrings.

VERSION: 1.01
AUTHOR: Tomas Styblo (tripie@cpan.org)
WEBSITE: http://htmltmpl.sourceforge.net/
LICENSE: GNU GPL

The documentation of this module can be found in 'doc' directory of the distribution tarball or at the website of this package. Latest versions of this module are also available at that website.

You can use and redistribute this module under conditions of the GNU General Public License that can be found either at http://www.gnu.org/ or in file "LICENSE" contained in the distribution tarball of this module.

Copyright (c) 2001 Tomas Styblo, tripie@cpan.org Prague, the Czech Republic

REQUIRES:

- htmltmpl (http://htmltmpl.sourceforge.net/)

CLASSES:

- Easydoc: Autogenerate documentation from docstrings.

  | process | Create documentation for a module.
  | __init__ | Constructor.

## CLASS: Easydoc

Autogenerate documentation from docstrings.

This class provides all the functionality of easydoc. You can subclass it and override its processing methods module(), mclass() and method() to customize its behaviour.

You also can easily use your own template to modify the output in any way you need. Output colors can be customized via parameters.

METHODS:

| process | Create documentation for a module.
| __init__ | Constructor.

### METHOD: process()

Create documentation for a module. (class Easydoc)

RETURN VALUE:

String containing the resulting HTML documentation.

PARAMETERS:

    process(module, bgcolor, textcolor, linkcolor, with_hidden=0)

- module

  Filename of the module to document.

  The module must be specified as filename. The module is not imported nor executed, only parsed.

- bgcolor

  Set background color.

  Accepts any valid CSS color value.

- textcolor

  Set text color.

  Accepts any valid CSS color value.

- linkcolor

  Set color of hyperlinks.

  Accepts any valid CSS color value.

- with_hidden

  Do not exclude hidden sections from output.

  This optional parameter can be used to force inclusion of hidden sections in the resulting documentation. Hidden sections are by default not included.

### METHOD: __init__()

Constructor. (class Easydoc)

PARAMETERS:

    __init__(template, debug=0)

- template

  String containing template data.

- debug

  Enable or disable debugging messages.

  This optional parameter can be used to enable or disable debugging messages which are printed to stderr. By default debugging messages are disabled.